# Makefile for TINE server generated on Tue Apr 25 22:23:13 2006
# SUN:                  CC = CC         CCL = CC         LM = 
# SGI,OSF,LINUX,FreeBSD CC = cc         CCL = cc         LM = -lm
# ULT                   CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:                   CC = cc -Aa     CCL = cc         LM = -lM
# SOLARIS               CC = CC         CCL = CC         LM = -lsocket -lnsl

INCL = /usr/include/tine
TINEEXE = rpcserv
TINELIB = libtine.a
LIBS = /usr/lib
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/cprolog.h \
	${INCL}/servdef.h \
	${INCL}/errors.h \
	${INCL}/rpctypes.h \
	${INCL}/rpcdefs.h \
	${INCL}/database.h \
	${INCL}/swaplib.h \
	${INCL}/toolkit.h \
	${INCL}/almsrv.h

CPP = g++ -I${INCL}
CC = cc -c -g -I${INCL}
CCL = cc -g
LM = -lm

${TINEEXE}: devsrv.o wkseqm.o
	${CCL} -o ${TINEEXE} devsrv.o wkseqm.o  ${LIBS}/${TINELIB} ${LM}
	chmod a+s ${TINEEXE}

devsrv.o: devsrv.c ${HDRS}
	${CC} devsrv.c

wkseqm.o: wkseqm.c wkseqm.h ${HDRS}
	${CC} wkseqm.c

clean:
	rm *.o
