# Makefile for client test program - PKTR rpc calls
# Version 20.03.95
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI,OSF CC = cc         CCL = cc         LM = -lm
# LINUX   CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.6 CC = CC         CCL = CC         LM = -lsocket -lnsl

INCL = /usr/include/tine
LIBS = /usr/lib
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/servdef.h \
	${INCL}/errors.h \
	${INCL}/rpctypes.h \
	${INCL}/rpcdefs.h \
	${INCL}/almsrv.h

CPP = g++ -I${INCL}
CC = cc -c -g -I${INCL}
CCL = cc -g -I${INCL}
LM = -lm -I${INCL}

rpcserv: setbuildinfo rpcserv.o gens.o
	${CCL} -o rpcserv rpcserv.o gens.o ${LIBS}/libtine.a ${LM}
	chmod a+s rpcserv

rpcserv.o: rpcserv.c app_version.h ${HDRS}
	${CC} rpcserv.c

ens.o: gens.c ${HDRS}
	${CC} gens.c 

setbuildinfo:
	./set-build-info

clean:
	rm *.o
