# Makefile for client test program - PKTR rpc calls
# Version 20.03.95
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI,OSF CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.4 CC = CC         CCL = CC         LM = -lsocket -lnsl

INCL = /usr/include/tine
LIBS = /usr/lib
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/servdef.h \
	${INCL}/errors.h \
	${INCL}/almsrv.h

CPP = g++ -c -g -I${INCL}
CC = cc -c -g -I${INCL}
CCL = g++ -g
LM = 

rpcserv: rpcserv.o evneqm.o lpceqm.o arctools.o ${LIBS}/libtine.a
	${CCL} -o rpcserv rpcserv.o evneqm.o lpceqm.o arctools.o ${LIBS}/libtine.a ${LM}
	chmod a+s rpcserv

rpcserv.o: rpcserv.c ${HDRS}
	${CC} rpcserv.c

lpceqm.o: lpceqm.c lpceqm.h arctools.h ${HDRS}
	${CC} lpceqm.c

evneqm.o: evneqm.c lpceqm.h arctools.h ${HDRS}
	${CC} evneqm.c

arctools.o: arctools.c arctools.h ${HDRS}
	${CC} arctools.c

clean:
	rm *.o
