#include "prolog.h"
#include <stdio.h>
#include <stddef.h>
#include <stdlib.h>
#include <sys/types.h>
#include "servdef.h"
#include "rpctypes.h"
#ifdef MSDOS
# include "doscmd.h"
# include "fecdef.h"
#endif

void PostSystemInit(void);

#ifndef VXWORKS
int main(int argc, char *argv[])
{
  int cc;
  switch (argc)                           /* initial debug level */
  {           /* on UNIX or DOS stations: set debug = 1 (2,or 3) */
    case 2:              /* will dynamically set the debug level */
      NGdebug = atoi(argv[1]);
      break;
    default:
      NGdebug = 0;                              /* default level */
  }
#else
int RPCServer(void)
{
  int cc;
#endif
  printf("Server running (debug level %d)\n",NGdebug);

  /* init RPC server: */
  if ((cc=SystemInit(TRUE)) != 0) { printf("init error: %s\n",erlst[cc]); exit(1); }

  /* call FEC specific initialization: */
  PostSystemInit();

  for(;;)
  {
    SystemCycle(TRUE);
  }
  return 0;
}
