# Makefile for TINE server generated on Tue Jun  3 21:21:42 2003
# SUN:                  CC = CC         CCL = CC         LM = 
# SGI,OSF,LINUX,FreeBSD CC = cc         CCL = cc         LM = -lm
# ULT                   CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:                   CC = cc -Aa     CCL = cc         LM = -lM
# SOLARIS               CC = CC         CCL = CC         LM = -lsocket -lnsl

INCL = /usr/include/tine
TINEEXE = rpcserv
TINELIB = libtine.a
LIBS = /usr/lib
HDRS = ${INCL}/project.def \
	${INCL}/prolog.h \
	${INCL}/cprolog.h \
	${INCL}/servdef.h \
	${INCL}/errors.h \
	${INCL}/rpctypes.h \
	${INCL}/rpcdefs.h \
	${INCL}/database.h \
	${INCL}/swaplib.h \
	${INCL}/toolkit.h \
	${INCL}/almsrv.h

CPP = g++ -I${INCL}
CC = cc -c -g -I${INCL}
CCL = cc -g
LM = -lm

${TINEEXE}: setbuildinfo devsrv.o stseqm.o  ${LIBS}/${TINELIB}
	${CCL} -o ${TINEEXE} devsrv.o stseqm.o  ${LIBS}/${TINELIB} ${LM}
	chmod a+s ${TINEEXE}

devsrv.o: devsrv.c app_version.h ${HDRS}
	${CC} devsrv.c

stseqm.o: stseqm.c stseqm.h ${HDRS}
	${CC} stseqm.c

setbuildinfo:
	./set-build-info

clean:
	rm *.o
