# Makefile for client test program - PKTR rpc calls
# Version 20.03.95
# Insert the defs for your machine
# SUN:    CC = CC         CCL = CC         LM = 
# SGI,OSF CC = cc         CCL = cc         LM = -lm
# ULT     CC = gcc -c -g  CCL = gcc -g     LM = 
# HP:     CC = cc -Aa     CCL = cc         LM = -lM
# SOL 2.4 CC = CC         CCL = CC         LM = -lsocket -lnsl

INCL = /usr/include/tine
LIBS = /usr/lib

CPP = g++
CC = cc -c -g -I${INCL}
CCL = cc -g
LM = -lm -ltine

checkdb: checkdb.o archbase.o 
	${CCL} -o checkdb checkdb.o archbase.o ${LM}

checkdb.o: checkdb.c archive.h
	${CC} checkdb.c

archbase.o: archbase.c archive.h
	${CC} archbase.c 

err_list.o: err_list.c errors.h
	${CC} err_list.c

clean:
	rm *.o
